Bug 1297387 - FTBFS: test-isinf fails on PPC
FTBFS: test-isinf fails on PPC
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gettext (Show other bugs)
rawhide
ppc64le Linux
unspecified Severity high
: ---
: ---
Assigned To: Daiki Ueno
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PPCTracker
  Show dependency treegraph
 
Reported: 2016-01-11 06:51 EST by Karsten Hopp
Modified: 2016-01-14 03:52 EST (History)
4 users (show)

See Also:
Fixed In Version: gettext-0.19.7-3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-14 03:52:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2016-01-11 06:51:14 EST
Description of problem:

FAIL: test-isinf
../../build-aux/test-driver: line 107: 13406 Aborted                 (core dumped) "$@" > $log_file 2>&1

Version-Release number of selected component (if applicable):
gettext-0.19.7-1.fc24

How reproducible:
always

Steps to Reproduce:
1. ppc-koji build --scratch f24 gettext-0.19.7-1.fc24.src.rpm
2.
3.

Actual results:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3054919

Expected results:


Additional info:
This looks similar to bug #1294016 and might have the same cause and workaround.
Comment 1 Karsten Hopp 2016-01-11 07:11:22 EST
Adding 
export CFLAGS="$RPM_OPT_FLAGS -D__SUPPORT_SNAN__"
works around this issue:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3056827
Comment 2 Fedora Update System 2016-01-11 22:09:21 EST
gettext-0.19.7-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-40d961cf5b
Comment 3 Fedora Update System 2016-01-13 02:54:17 EST
gettext-0.19.7-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-40d961cf5b
Comment 4 Fedora Update System 2016-01-14 03:52:24 EST
gettext-0.19.7-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.